Loading...
Searching...
No Matches
bsoncxx::v1::types::b_symbol Struct Reference

`#include <bsoncxx/v1/types/view.hpp>`

## Description

BSON type value "Symbol".

Deprecated
  This BSON type is deprecated.

## Public Member Functions

| b_symbol ()=default
| Zero-initialize the represented value.
| b_symbol (v1::stdx::string_view symbol)
| Initialize with symbol.
| operator v1::stdx::string_view () const
| Implicitly convert to symbol.

## Public Attributes

v1::stdx::string_view | symbol
| The represented value.

## Static Public Attributes

static constexpr id | type_id = id::k_symbol
| The type represented by this BSON type value.

## Friends

bool | operator!= (b_symbol const &lhs, b_symbol const &rhs)
| Equivalent to !(lhs == rhs).
bool | operator== (b_symbol const &lhs, b_symbol const &rhs)
| Equivalent to lhs.symbol == rhs.symbol.

## Constructor & Destructor Documentation

## b_symbol() [1/2]

bsoncxx::v1::types::b_symbol::b_symbol | ( |  | ) |

default

Zero-initialize the represented value.

## b_symbol() [2/2]

bsoncxx::v1::types::b_symbol::b_symbol | ( | v1::stdx::string_view | symbol | ) |

inline explicit

Initialize with symbol.

## Member Function Documentation

## operator v1::stdx::string_view()

bsoncxx::v1::types::b_symbol::operator v1::stdx::string_view | ( |  | ) | const

inline

Implicitly convert to symbol.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | b_symbol const & | lhs,
|  | b_symbol const & | rhs )

friend

Equivalent to !(lhs == rhs).

## operator==

bool operator== | ( | b_symbol const & | lhs,
|  | b_symbol const & | rhs )

friend

Equivalent to lhs.symbol == rhs.symbol.

## Member Data Documentation

## symbol

v1::stdx::string_view bsoncxx::v1::types::b_symbol::symbol

The represented value.

## type_id

id bsoncxx::v1::types::b_symbol::type_id = id::k_symbol

static constexpr

The type represented by this BSON type value.

The documentation for this struct was generated from the following file:

- bsoncxx/v1/types/view.hpp